/***** interface.h **********************************************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Sun Jun 20 13:07:28 2004.
 * 
 * This file is part of ms2dna.
 *
 * ms2dna is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ms2dna is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ms2dna; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
 *****************************************************************************/ 

/* define argument container */
typedef struct args{
  char **inputFiles; /* name(s) of input file(s) */
  char *t;           /* name of template file */
  int numInputFiles; /* number of input files */
  int m;             /* mutation mode */
  int f;             /* output format */
  int s;             /* seed for random number generator */
  float g;           /* gc content */
  int a;             /* input is generated via macs | msformatter */
  int c;             /* mutate only third codon positions? */
  int h;             /* help message? */
  int p;             /* print program information */
  int e;             /* error message? */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
